package org.resteasy.simple.deployment;

import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.Response;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

@Provider
public class MyExceptionMapper implements ExceptionMapper<WebApplicationException> {
    @Override
    public Response toResponse(WebApplicationException wae) {
        int status = wae.getResponse().getStatus();
        System.out.println("Status: " + status);
        Response.ResponseBuilder responseBuilder = Response.status(status);
        return responseBuilder.entity(wae.toString()).build();
    }
}